Banco do Brasil no Ubuntu 10.04 (Sun Java funcionando)

Publicado por Sylvio Lima Silva em 17/06/2010

[ Hits: 52.161 ]

 


Banco do Brasil no Ubuntu 10.04 (Sun Java funcionando)



Meus caros amigos, fiz recentemente a instalação do novo Ubuntu 10.04 e me deparei com um problema tanto quanto estranho, digo isso pois nas outras versões nunca vi nada como tal, o Java da Sun não funcionava.

Então depois de muita pesquisa e muita coisa errada que eu vi cheguei a uma solução!

O Sun Java, para quem não sabe, é um plugin que permite entre outras coisas a realização de algumas rotinas como por exemplo o verificador de segurança do Banco do Brasil, e sem o Sun Java, nada feito!

Vamos começar então, o Ubuntu 10.04 vem com o OpenJDK como solução padrão para tais necessidades do Java, mas pelo menos no meu caso não me ajudou muito, fiquei até uma hora tentando abrir a minha conta e nada...

Para resolver tal questão você precisará adicionar um repositório novo no sources.list, faça como descreverei a seguir.

Abra um terminal e digite o seguinte comando:

sudo add-apt-repository "deb http://archive.canonical.com/ lucid partner"

Logo em seguida digite:

sudo apt-get update

E agora para instalar o Sun Java você usará esses comandos:

sudo apt-get install sun-java6-jre
$ sudo apt-get install sun-java6-plugin
$ sudo apt-get install sun-java6-fonts


Pronto, a primeira parte já esta concluída, agora você já tem o Sun Java instalado no seu Ubuntu e pronto para funcionar, entretanto ainda tem o OpenJDK instalado e portanto para não ter que voltar ao terminal e fazer mil redirecionamentos de plugins no Firefox, o mais rápido e fácil a se fazer agora é ir ao Gerenciador de Pacotes Synaptic, procurar por OpenJDK e desinstalar os pacotes relacionados a ele, que são:
  • openjdk-6-jre
  • openjdk-6-plugin

Pronto, agora no terminal para tirar qualquer duvida é só digitar o comando:

java -version

E o resultado a ser apresentado será esse:

java version "1.6.0_20"
Java(TM) SE Runtime Environment (build 1.6.0_20-b02)
Java HotSpot(TM) Server VM (build 16.3-b01, mixed mode)


Pronto, agora é só reiniciar o seu navegador que os sites que precisavam do Sun Java voltarão a funcionar e se no seu caso for alguma outra aplicação reinicie o seu micro que tudo voltará a funcionar corretamente!

Em caso de dúvidas ficarei feliz em ajudar: [email protected]

Outras dicas deste autor

Instalando e Atualizando o ClamAV no Ubuntu 11.04

Configurando codecs e Java no Ubuntu 9.04

Leitura recomendada

Ubuntu Ultimate Edition 1.4 (DVD)

Instalar um segunda placa de rede no Conectiva 10

Dica para otimizar Ubuntu padrão com Gnome em low-cost notebooks/UMPCs

Pepper Flash no Slackware

Instalando o Cairo-Dock no Debian

  

Comentários
[1] Comentário enviado por mbfagundes em 17/06/2010 - 18:22h

o comando sudo add, foi feito porem na hora do update da um erro .... q nao estava dando antes..
poderia confirmar se o comando esta correto, se nao estiver poste o modo de correção.

[2] Comentário enviado por wopgan em 18/06/2010 - 09:56h

então amigão o comando esta correto sim, mais vc pode tentar mudar direto no source.list!
Pq esta tudo correto até verifiquei em uma maquina virtual e aqui todo funcionou!
Boa sorte qualquer coisa me add no MSN q te ajudo por lá!

[3] Comentário enviado por Rubones em 25/06/2010 - 07:09h

Muito obrigado pela ajuda, afinal já deu certo logo na primeira tentativa.
Utilizei o Windows (e ainda continuo utilizando em um notebook) por muitos anos e, apesar de não conhecer quase nada de Linux, resolvi manter a instalação e fazer uma atualização diária de mim mesmo.
Agradeço por existirem pessoas que compartilham as informações, não retendo todo o conhecimento para si, como forma de manipular os demais (coisa que ocorre naquela empresa, não é?)
Valeu!!!!

[4] Comentário enviado por ...quel... em 27/06/2010 - 23:01h


Obrigada por compartilhar!! Foi muito útil... =)

[5] Comentário enviado por angela pereira em 05/07/2010 - 00:26h

O problema foi resolvido de primeira, valeu cara !!!!

[6] Comentário enviado por crns em 07/07/2010 - 11:19h

Muito bem. Meus parabéns.

Nas outras dicas que encontrei em outros saites, faltava explicar que precisava desinstalar o openjdk.

Agora, não vai acontecer de quando chegarem as atualizações automáticas e vc não desmarcar o openjdk, ele ser instalado novamente?

Mais uma vez, parabéns!

[7] Comentário enviado por wopgan em 08/07/2010 - 11:44h

Na realidade, vc tem q desisntalar o openjdk, assim evitará de vir novas atulaizações para ele!
e uma vez q o java da sun estiver instalado e funcionando as atualizações só virão para ele mesmo! Mais qualquer duvida entra e contato pelo e-mail! um abrço e até mais!

[8] Comentário enviado por quartodazona em 15/07/2010 - 08:24h

Olá meu amigo, excelente sua dica. Funcionou perfeitamente. Muito obrigado!

Eu já sabia que era necessário desinstalar o openjdk, tanto que o meu já estava desinstalado.

Quanto a instalar os plugins JAVA necessários eu também já sabia que tinha de fazer isso porque certa vez conversei com um atendente do Banco do Brasil que me orientou a instalar justamente os plugins que você falou, porém eles não estão mais aparecendo nos repositórios do 10.04 e isso não deveria acontecer, pois eles são necessários ao extremo.

Não sei o porquê tiraram os plugins JAVA dos repositórios, mas esta sua dica de adicionar um repositório que os contenha salvou muitas distrôs que instalei do Ubuntu.

Valeu :)

[9] Comentário enviado por marcellobo em 26/08/2010 - 13:21h

Valeu Sylvio !
Funcionou certinho no meu Kubuntu Netbook 10.04.1

Linux modulo-iii 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:12:52 UTC 2010 i686 GNU/Linux

Um único detalhe: por padrão o openjdk não estava instalado. Consultei via synaptic.

parabéns
salve a comunidade do software livre

[10] Comentário enviado por t0n1 em 08/09/2010 - 09:17h

Pessoal,

Primeiramente, parabéns e obrigado ao Sylvio pela dica!!!
Estou usando UBUNTU 10.04 + FIREFOX 3.6.8. Testei e funciona também para Banco Real (Física e Jurídica), Santander (Física e Jurídica) e Bradesco. Pelo que eu pude notar, funcionaria em qualquer outro banco cuja dependencia de Java JRE 6 no módulo de segurança é declarada.

Abraços,
T0N1

[11] Comentário enviado por j.c.o.s em 13/09/2010 - 15:15h

me ajudou bastante mano

[12] Comentário enviado por danielrcr em 16/10/2010 - 15:55h

Perfeita dica!!!
me ajudou bastante...
vlws

[13] Comentário enviado por bonadio55br em 21/10/2010 - 16:47h

Excelente dica. Já havia perdido umas 4 horas tentando fazer funcionar. Foi só executar os procedimentos e correr para o abraço. Obrigado

[14] Comentário enviado por ceduardo em 03/11/2010 - 18:45h

Nobres, fiz uma cagada aqui quando estava instalando...

Fechei o terminal no momento da atualização. O problema
foi que entrou numa tela de termos de utilização da Sun e
abaixo aparecia um <OK> inerte. Nada acontecia por mais
de três minutos... Parecia que estava travado.

Bom, em resumo, fechei o terminal com o intuito de reiniciar o processo, só que agora nesta etapa:

[email protected]:~$ sudo apt-get install sun-java6-jre
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
sun-java6-jre : Depende: sun-java6-bin (>= 6.22-0ubuntu1~10.04) mas não será instalado ou
ia32-sun-java6-bin (>= 6.22-0ubuntu1~10.04) mas não é instalável
Recomenda: gsfonts-x11 mas não será instalado
W: Duplicate sources.list entry http://archive.canonical.com/ lucid/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_dists_lucid_partner_binary-i386_Packages)
W: Duplicate sources.list entry http://archive.canonical.com/ lucid/partner i386 Packages (/var/lib/apt/lists/archive.canonical.com_dists_lucid_partner_binary-i386_Packages)
W: Você terá que executar apt-get update para corrigir estes problemas
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).


Depois ainda tentei:

[email protected]:~$ sudo dpkg --configure -a
[email protected]:~$ sudo apt-get install sun-java6-plugin
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Você deve querer executar 'apt-get -f install' para corrigí-los:
Os pacotes a seguir têm dependências desencontradas:
sun-java6-jre : Depende: sun-java6-bin (>= 6.22-0ubuntu1~10.04) mas não será instalado ou
ia32-sun-java6-bin (>= 6.22-0ubuntu1~10.04) mas não é instalável
Recomenda: gsfonts-x11 mas não será instalado
sun-java6-plugin : Depende: sun-java6-bin (>= 6.22-0ubuntu1~10.04) mas não será instalado
E: Dependências desencontradas. Tente 'apt-get -f install' sem nenhum pacote (ou especifique uma solução).


Bom, em resumo, não sei sair daqui. Já verifiquei que o navegador ainda funciona normalmente, porém ainda não acesso minha conta BB.

Qq ajuda é bem vinda.

Eduardo.


[15] Comentário enviado por wopgan em 04/11/2010 - 08:25h

Olá amigo, qndo apareceu aquela tela da da SUN vc deveria ter concordado com a instalação, mais agora vc vc pode ver se encontra essa informação via synaptic, mais de toda forma vc pode executar o apt-get -f install sun-java6-plugin q ele fara uma reinstalação do repositorio... qualquer coisa pode entrar em contato via e-mail! abraço amigo e qualquer coisa pode contar comigo fico feliz em ajudar!

[16] Comentário enviado por ceduardo em 04/11/2010 - 20:25h

Problema resolvido!!!

Hoje eu liguei o meu computador qdo cheguei do trabalho e já tinha
uma msg pedindo para eu abrir o synaptic pois algum programa
estava "quebrado"... Como já sabia que era o java eu o digitei na
busca (no synaptic) e o bem dito apareceu com uma exclamação.
Reinstalei e pronto. Tudo funcionou...

Bom, eu queria consertá-lo. Mas ele foi mais rápido...

Blz pessoal, obrigado mesmo!!!

Forte abraço e obrigado pelas dicas.

[17] Comentário enviado por laurentino bispo em 07/11/2010 - 13:30h

Ao desinstallar o openjdk-6, o broffice.org se foi. parece que ele é necessario para a instalação do mesmo.


baixei o java direto do site e funcionou direitinho.

http://www.java.com/pt_BR/download/linux_manual.jsp?locale=pt_BR&host=www.java.com

[18] Comentário enviado por hiure em 10/11/2010 - 00:22h

Galera eu fiz tudo isso ai.. mas nada da certo pra acessar o teclado virtual do bb, notei curiosamente que o opendjk já nao estava instalado.. só isso que aconteceu diferente.. não sei mais o que fazer, alguém pode me ajudar?
obrigado
Hiure

[19] Comentário enviado por usuario_linux em 01/02/2011 - 20:09h

Opa antes de mais nada parabéns, mas fiz tudo conforme o tutorial mas não funcionou ... vlw

[20] Comentário enviado por MARSVELO em 04/02/2011 - 23:39h

ACHEI UM JEITO MUITO FÁCIL:
ara instalar o maquina Java no Ubuntu para clientes Internet do Banco do Brasil:

O erro mais comum é querermos instalar o Java a partir do site apenas. A instalação através do link do site instalará QUASE tudo. MAS vai ficar faltando um aplicativo, que é o "Development Kit (JDK) 6"

Se você parou aí então é fácil, basta instalá-lo:

Em "Aplicativos" > "Central de Programas" você deverá instalar:
- Sun Java (TM) Development Kit (JDK) 6 source files

Em "programas instalados", deverão estar os seguintes (se não tiver, instale-os seguindo o procedimento anterior):

- Plug-in Sun Java 6.0
- Sun Java (TM) Runtime Environmente (architecture dependent files)
- Sun Java (TM) Runtime Environmente (architecture independent files)
- Sun Java (TM) Development Kit (JDK) 6 source files
- Sun Java (TM) Development Kit (JDK) 6

Abraços,

[21] Comentário enviado por escutaessa em 07/02/2011 - 11:36h

Muito boa a dica. Aqui no meu Ubunt funcionou muito bem. Tanto no firefox quanto no Chrome.
Náo precisei executar a última parte referente à desinstalacao do openjdk.

Parabéns pelo artigo.
Aproveitei e linkei a dica no meu blog.

Abraco a todos.

Ubuntu 10.04 LTS
Gnome Versão: 2.30.2
Chorme 8.0.552.237

[22] Comentário enviado por mgoncsilva em 18/02/2011 - 14:58h

Olá, uso o Fedora 64 bits, mas as infos desta página me foram muito úteis!!! Porém insuficientes.

Com as dicas desta página consigo usar o Java na máquina:
$ java -version
java version "1.6.0_22"
Java(TM) SE Runtime Environment (build 1.6.0_22-b04)
Java HotSpot(TM) 64-Bit Server VM (build 17.1-b03, mixed mode)

Mas o firefox 3.6.7 64 bits não estava reconhecendo o java, ainda que indica-se na aba de plugins, o Java como sendo um plugin instalado e ativo.
Tomei então 3 iniciativas:

1. Alterei o caminho do java em about:config
java.default_java_location_others alterei, no meu caso, para /usr/java/latest/bin/java .
O firefox estava com valores antigos.

2. Criei o soft link:
# ls -al /usr/java
total 16K
drwxr-xr-x. 4 root root 4,0K Nov 3 10:38 ./
drwxr-xr-x. 18 root root 4,0K Set 15 07:27 ../
lrwxrwxrwx. 1 root root 16 Set 8 17:19 default -> /usr/java/latest/
drwxr-xr-x. 7 root root 4,0K Set 8 17:24 jre1.6.0_21/
drwxr-xr-x. 7 root root 4,0K Nov 3 10:38 jre1.6.0_22/
lrwxrwxrwx. 1 root root 21 Nov 3 10:38 latest -> /usr/java/jre1.6.0_22/


# ln -s /usr/java/latest/lib/amd64/libnpjp2.so /home/user/.mozilla/plugins

3. Alterei/criei os seguintes soft links, como usuário root:
ln -s /usr/java/latest/lib/amd64/libnpjp2.so /etc/java
rm libjavaplugin.so
ln -s /usr/java/latest/lib/amd64/libnpjp2.so libjavaplugin.so
ln -s /usr/java/latest/lib/amd64/libnpjp2.so libnpjp2.so

Dai funcionou beleza o java também no firefox.
Espero que ajude a outros usuários Fedora !

[23] Comentário enviado por valterpires em 19/02/2011 - 11:35h

Depois de muita procura, achei este post, incrível, funcionou !!!!, acredito que nem mesmo o pessoal de suporte do bb, sabe disso, pois não conseguiram resolver o problema, acredito que o pessoal do banco do brasil deveria ler mais e participar da comunidade, muito obrigado, os clientes do bb agradecem!!!!!!!!!

[24] Comentário enviado por gilsonmoreno em 08/03/2011 - 10:42h

Utilizei apenas os comandos sudo apt-get install sun-java6-plugin e sudo apt-get install sun-java6-fonts, sem precisar remover os pacotes openjdk-6-jre e openjdk-6-plugin. Funcionou. Estou usando o Ubuntu 10.04.

[25] Comentário enviado por fabiano.michels em 25/03/2011 - 15:44h

Funcionou perfeitamente no Ubuntu 10.10!
Valeu..

[26] Comentário enviado por olavolb em 22/04/2011 - 19:44h

Extremamente útil e confiável. Muito obrigado pela força.
Detalhe: Também não necessitei remover nada do jdk.

[27] Comentário enviado por cicmf em 17/06/2011 - 23:29h

Muito obrigado! Funcionou perfeitamente no ubuntu 10.04 com essas dicas.

[28] Comentário enviado por janaina.ac em 17/02/2012 - 12:51h

Efetuei todos os procedimentos explicados no seu tutorial. Porém, a seguinte mensagem de erro é apresentada quando o site do BB tenta carregar a Máquina Virtual. Estou utilizando: Ubuntu 10.04 LTS - Lucid Lynx, Gnome 2.30.2 e Firefox 10.0.1. O resultado apresentado na tela ao executar o comando $ java -version é similar ao do seu tutorial. O curioso é que estava acessando normalmente o site do BB antes de umas atualizações. Você pode me auxiliar?

Exception in:/WEB-INF/jsp/tiles/cabecalhoLogin.jsp] null java.lang.NullPointerException at jsp_servlet._web_45_inf._jsp._tiles.__cabecalhologin._jspService(__cabecalhologin.java:108) at weblogic.servlet.jsp.JspBase.service(JspBase.java:34) at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:227) at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:125) at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:300) at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:183) at weblogic.servlet.internal.RequestDispatcherImpl.invokeServlet(RequestDispatcherImpl.java:526) at weblogic.servlet.internal.RequestDispatcherImpl.include(RequestDispatcherImpl.java:447) at weblogic.servlet.jsp.PageContextImpl.include(PageContextImpl.java:163) at org.apache.struts.taglib.tiles.InsertTag.doInclude(InsertTag.java:705) at org.apache.struts.taglib.tiles.InsertTag$InsertHandler.doEndTag(InsertTag.java:816) at org.apache.struts.taglib.tiles.InsertTag.doEndTag(InsertTag.java:469) at jsp_servlet._web_45_inf._jsp._tiles.__layoutlogin._jsp__tag1(__layoutlogin.java:347) at jsp_servlet._web_45_inf._jsp._tiles.__layoutlogin._jspService(__layoutlogin.java:219) at weblogic.servlet.jsp.JspBase.service(JspBase.java:34) at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:227) at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:125) at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:300) at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:183) at weblogic.servlet.internal.RequestDispatcherImpl.invokeServlet(RequestDispatcherImpl.java:526) at weblogic.servlet.internal.RequestDispatcherImpl.include(RequestDispatcherImpl.java:447) at weblogic.servlet.jsp.PageContextImpl.include(PageContextImpl.java:163) at org.apache.struts.taglib.tiles.InsertTag.doInclude(InsertTag.java:705) at org.apache.struts.taglib.tiles.InsertTag$InsertHandler.doEndTag(InsertTag.java:816) at org.apache.struts.taglib.tiles.InsertTag.doEndTag(InsertTag.java:469) at jsp_servlet._idh.__verificajava._jsp__tag0(__verificajava.java:107) at jsp_servlet._idh.__verificajava._jspService(__verificajava.java:72) at weblogic.servlet.jsp.JspBase.service(JspBase.java:34) at weblogic.servlet.internal.StubSecurityHelper$ServletServiceAction.run(StubSecurityHelper.java:227) at weblogic.servlet.internal.StubSecurityHelper.invokeServlet(StubSecurityHelper.java:125) at weblogic.servlet.internal.ServletStubImpl.execute(ServletStubImpl.java:300) at weblogic.servlet.internal.TailFilter.doFilter(TailFilter.java:26) at weblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56) at br.com.bb.aapf.filter.VerificadorActiveXFilter.doFilter(VerificadorActiveXFilter.java:71) at weblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56) at br.com.bb.aapf.filter.AAPFLoginFilter.doFilter(AAPFLoginFilter.java:152) at weblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56) at br.com.bb.web.apoioatendimento.seguranca.idh.filtro.Filtro.doFilter(Filtro.java:242) at weblogic.servlet.internal.FilterChainImpl.doFilter(FilterChainImpl.java:56) at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.doIt(WebAppServletContext.java:3684) at weblogic.servlet.internal.WebAppServletContext$ServletInvocationAction.run(WebAppServletContext.java:3650) at weblogic.security.acl.internal.AuthenticatedSubject.doAs(AuthenticatedSubject.java:321) at weblogic.security.service.SecurityManager.runAs(SecurityManager.java:121) at weblogic.servlet.internal.WebAppServletContext.securedExecute(WebAppServletContext.java:2268) at weblogic.servlet.internal.WebAppServletContext.execute(WebAppServletContext.java:2174) at weblogic.servlet.internal.ServletRequestImpl.run(ServletRequestImpl.java:1446) at weblogic.work.ExecuteThread.execute(ExecuteThread.java:201) at weblogic.work.ExecuteThread.run(ExecuteThread.java:173)

[29] Comentário enviado por brunuus em 23/02/2012 - 16:49h

No Ubuntu 10.04 foi certinho!!!!

[30] Comentário enviado por rangelhf em 07/08/2012 - 20:23h

deu um erro dizendo que as listas de fontes ñ podem ser lidas . o que fazer???????

[31] Comentário enviado por epilef em 06/09/2012 - 13:53h

O que isso significa?

W: Ocorreu um erro durante a verificação da assinatura. O repositório não está actualizado e serão utilizados os ficheiros anteriores de índice. Erro do GPG: http://archive.ubuntu.com precise-updates Release: As seguintes assinaturas eram inválidas: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <[email protected]>

W: Falhou ao buscar http://archive.ubuntu.com/ubuntu/dists/precise-updates/Release

W: Falhou ao buscar bzip2:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise-security_restricted_source_Sources Hash Sum incorreto

W: Falhou ao buscar bzip2:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise-security_restricted_binary-i386_Packages Hash Sum incorreto

W: Falhou ao buscar bzip2:/var/lib/apt/lists/partial/archive.ubuntu.com_ubuntu_dists_precise-security_universe_binary-i386_Packages Hash Sum incorreto

W: Alguns arquivos index falharam ao ser baixados. Eles foram ignorados, ou cópias antigas são usadas ao invés.

[32] Comentário enviado por marbreu em 07/01/2013 - 17:11h

segue ai o link que me ajudou com o modulo de proteção do banco santander, belo tutorial, link= http://forum.clubedohardware.com.br/tutorial-banco-brasil/983134?s=3cd5d8942bb49d69100bf75379a3d74e&...;



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts